Feature: Jekyll renders output of jekyll-git-authors

  Background:
    Given There is a fixture named "page.md" and it is in a subdirectory named "subdir"
    And Git is intialized

  Scenario: Authors are generated correctly
    Given There are 6 commits on the "subdir/page.md"
    And All commits on "subdir/page.md" have different authors
    When Jekyll-git-authors generates authors
    Then There should be 5 authors on the "subdir/page.md"

  Scenario: Authors are not generated for non-section pages
    Given There is a fixture "page.md"
    And There is 1 commit on the "page.md"
    And There is 1 commit on the "subdir/page.md"
    When Jekyll-git-authors generates authors
    Then There should be 0 authors on the "page.md"
    But There should be 1 author on the "subdir/page.md"
